#include "delegate_constructor.h"
#include <iostream>
#include <string>

class Printer {
private:
  std::string value;

public:
  Printer(const std::string &value) : value(value){};
  Printer(int value) : Printer(std::to_string(value)){};

  void print() { std::cout << value << std::endl; }
};

void DelegateConstructor::run() {
  std::cout << "print(\"hello\"): ";
  Printer("hello").print();

  std::cout << "print(23): ";
  Printer(23).print();
}
