#include "enum.h"
#include <iostream>
#include <ostream>

enum class MyEnum : unsigned int {
  Variant_1 = 23,
  Variant_2 = 42,
  Variant_3 = Variant_2,
};

std::ostream &operator<<(std::ostream &os, const MyEnum &myEnum) {
  os << static_cast<std::underlying_type<MyEnum>::type>(myEnum);
  return os;
}

void EnumTest::run() {

  auto myEnum_1 = MyEnum::Variant_1;
  std::cout << "myEnum_1 is " << myEnum_1 << std::endl;

  auto myEnum_2 = MyEnum::Variant_2;
  std::cout << "myEnum_2 is " << myEnum_2 << std::endl;
}
